[youtubei.js](../../../../README.md) / [Parser](../README.md) / parseFormats

# Function: parseFormats()

> **parseFormats**(`formats`, `this_response_nsig_cache`): [`Format`](../../Misc/classes/Format.md)[]

Defined in: [src/parser/parser.ts:767](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/parser.ts#L767)

## Parameters

### formats

[`RawNode`](../../../../type-aliases/RawNode.md)[]

### this\_response\_nsig\_cache

`Map`\<`string`, `string`\>

## Returns

[`Format`](../../Misc/classes/Format.md)[]
